/* General Styles */
body {
    margin: 0;
    font-family: 'Roboto', sans-serif;
    color: #1A1A1D;
}

h1, h2 {
    font-family: 'Montserrat', sans-serif;
}

a {	
	text-decoration: none;
}

h1, h2, h3, h4, p, ul, table {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 1s ease-out, transform 1s ease-out;
}

.fade-in-up {
    opacity: 1;
    transform: translateY(0);
}

nav {
	vertical-align: bottom;
}

header {
    position: fixed;
    width: 100vw;
    z-index: 1000;
    background-color: transparent;
    color: #17B8D3;
    display: flex;
    justify-content: space-around;
    align-items: end;
    height: 10vh;
    transition: height 0.3s ease;
}

header.shrink {
    height: 4vh;
    align-items: start;
    justify-content: left;
    margin: 0 0 0 14vw;
}

.logo {
	margin: 0;
	max-width: 100%;
    height: auto;
}

#logoShrink {
	height: 3vh;
	transition: height 0.3s ease;
}

header.shrink #logoShrink {
    height: 4vh; /* Smaller size of the logo */
}

.span_logo {
    font-weight: 400;
    letter-spacing: 8px;
    font-size: 1.5vw;
    color: #213439;
	text-decoration: none;
}

.nav-links {
    list-style-type: none;
    display: flex;
	justify-content: space-around;
    margin: 0;
}

.nav-links li {
    margin-left: 5vw;
    position: relative;
}

.nav-links a, .nav-links span  {
    color: #1A1A1D;
    text-decoration: none;
    font-size: 1.5vw;
	font-weight: 600;
	letter-spacing: .2vw;
}

.nav-links a:hover {
    color: #F4F5F7;
}

.menu-icon {
    display: none;
    font-size: 2.8vw;
    color: white;
    cursor: pointer;
}

.hamburger {
    display: none;
    flex-direction: column;
    cursor: pointer;
}

.hamburger .bar {
    width: 25px;
    height: 3px;
    background-color: #1A1A1D;
    margin: 4px 0;
    transition: 0.3s;
}

.nav-links .dropdown-content {
    display: none;
    position: absolute;
    background-color: #3E4C8F;
    left: -75vw;
    width: 100vw;
    padding: 2vh 5vw;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.1);
    z-index: 1000;
	justify-content: center;
}

header.shrink .nav-links .dropdown-content {
	left: -61vw;
}

.nav-links .dropdown-content .row {
    display: flex;
    justify-content: space-between;
	margin: 0 30vw;
}

.nav-links .dropdown-content .row .separate_border {
    border-right: 1px solid #FF6F61;
}

.nav-links .dropdown-content .column {
    width: 50%;
    margin: 0 1vw;
}

.nav-links .dropdown-content .column h3, .nav-links .dropdown-content a h3 {
    margin: 0;
    color: #17B8D3;	
    font-size: 1.1vw;
	font-weight: normal;
	letter-spacing: .2vw;
}

.nav-links .dropdown-content a {
    color: #F4F5F7;
    text-decoration: none;
    display: block;
    padding: 0.3vh 1vw;
    font-size: 1vw;
	font-weight: normal;
}

.nav-links .dropdown:hover .dropdown-content {
    display: block;
}

#home {
	background-color: #dfd6c0;
    background-image: linear-gradient(136deg, #dfd6c0, #97988d 67%, #213439);
}

.hero_section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
	height: 100vh;
}

.hero_image {
    /*min-width: 0vw;
	max-width: 50vw;*/
	width: 50vw;
	height: 100vh;
    transition: transform 0.5s ease;
	display: flex; 
    justify-content: space-between;  
    align-items: center; 
}

.hero_image {
	background-repeat:no-repeat;
	background-size:cover;
	background-position:right;
    -webkit-mask-image:-webkit-gradient(linear, left top, left bottom, from(rgba(0,0,0,1)), to(rgba(0,0,0,0)));
	mask-image: linear-gradient(to top, rgba(255, 255, 255, 1), rgb(255 255 255 / 50%));
}

.hero_content {
    margin: 0 5vw;
    text-align: left;
	font-family: 'Montserrat', sans-serif;
}

.hero_content h1 {
    font-size: 12vh;
    font-weight: 700;
    line-height: 1.51;
    color: #3283a8;
    margin-bottom: 1vh;
    letter-spacing: 1.5vw;
}

.hero_content h2 {
    font-size: 1.5rem;
    color: #8B4513;
    margin-bottom: 3vh;
}

.hero_content p {
	color: #213439;
    font-size: 3vh;
    font-weight: 400;
    line-height: 1.93;
    max-width: 70vw;
    margin: 1.5vh 0 5.5vw;
}

.cta-btn {
    display: inline-block;
    padding: 1vh 2vw;
    background-color: #6B8E23;
    color: #FFFFFF;
    text-decoration: none;
    font-weight: 400;
    font-size: 1.2em;
    border-radius: 2.5vh;
    transition: background-color 0.3s ease-in-out;
}

.cta-btn:hover {
    background-color: #8B4513;
}

.hero_link {
    display: inline-block;
    padding: 1vh 2vw;
    color: #6B8E23;
    text-decoration: none;
    font-weight: 500;
    font-size: 1.2em;
    border-radius: 2.5vh;
    transition: background-color 0.3s ease-in-out;
}

.hero_link:hover {
    color: #A2D5A1;
}

/*Website Section*/
.website_section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
	height: 100vh;
}

.website_image {
	width: 50vw;
	height: 100vh;
    transition: transform 0.5s ease;
	display: flex; 
    justify-content: space-between;  
    align-items: center; 
}

.website_image {
	background-repeat:no-repeat;
	background-size:cover;
	background-position:left;
}

.website_content {
    margin: 0 1vw 0 1vw;
    text-align: left;
	font-family: 'Montserrat', sans-serif;
}

.website_content h1 {
    font-size: 2.7rem;
    font-weight: 700;
    line-height: 1.51;
    color: #FFFFFF;
    margin-bottom: 1vh;
    letter-spacing: 0.3vw;
}

.website_content h2 {
    font-size: 1.5rem;
    color: #FFFFFF;
    margin-bottom: 3vh;
}

.website_content p {
	color: #FFFFFF;
    font-size: 1.3rem;
    font-weight: 400;
    font-style: italic;
    letter-spacing: 0.15vw;
    line-height: 1.93;
    max-width: 70vw;
    margin: 1.5vh 0 5.5vw;
}

/*App Section*/
.app_section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
	height: 100vh;
}

.app_image {
	width: 100vw;
	height: 100vh;
    transition: transform 0.5s ease;
	display: flex; 
    justify-content: space-between;  
    align-items: center; 
	position: absolute;
}

.app_image {
	background-repeat:no-repeat;
	background-size:contain;
	background-position:right;
}

.app_content {
    margin: 0 0 0 1vw;
    text-align: left;
	font-family: 'Montserrat', sans-serif;
	z-index: 90;
	position: relative;
    width: 50vw;
}

.app_content h1 {
    font-size: 2.7rem;
    font-weight: 700;
    line-height: 1.51;
    color: #000000;
    margin-bottom: 1vh;
    letter-spacing: 0.3vw;
}

.app_content h2 {
    font-size: 1.5rem;
    color: #000000;
    margin-bottom: 3vh;
}

.app_content p {
	color: #000000;
    font-size: 1.3rem;
    font-weight: 400;
    font-style: italic;
    letter-spacing: 0.15vw;
    line-height: 1.93;
    max-width: 70vw;
    margin: 1.5vh 0 5.5vw;
}

/*Marketing Section*/
.marketing_section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
	height: 100vh;
}

.marketing_image {
	width: 50vw;
	height: 100vh;
    transition: transform 0.5s ease;
	display: flex; 
    justify-content: space-between;  
    align-items: center; 
}

.marketing_image {
	background-repeat:no-repeat;
	background-size:cover;
	background-position:left;
}

.marketing_content {
    margin: 0 1vw 0 1vw;
    text-align: left;
	font-family: 'Montserrat', sans-serif;
}

.marketing_content h1 {
    font-size: 2.7rem;
    font-weight: 700;
    line-height: 1.51;
    color: #FFFFFF;
    margin-bottom: 1vh;
    letter-spacing: 0.3vw;
}

.marketing_content h2 {
    font-size: 1.5rem;
    color: #FFFFFF;
    margin-bottom: 3vh;
}

.marketing_content p {
	color: #FFFFFF;
    font-size: 1.3rem;
    font-weight: 400;
    font-style: italic;
    letter-spacing: 0.15vw;
    line-height: 1.93;
    max-width: 70vw;
    margin: 1.5vh 0 5.5vw;
}

/*Recruitment Section*/
.recruitment_section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
	height: 100vh;
}

.recruitment_image {
	width: 50vw;
	height: 100vh;
    transition: transform 0.5s ease;
	display: flex; 
    justify-content: space-between;  
    align-items: center; 
}

.recruitment_image {
	background-repeat:no-repeat;
	background-size:cover;
	background-position:right;
}

.recruitment_content {
    margin: 0 0 0 1vw;
    text-align: left;
	font-family: 'Montserrat', sans-serif;
}

.recruitment_content h1 {
    font-size: 2.7rem;
    font-weight: 700;
    line-height: 1.51;
    color: #000000;
    margin-bottom: 1vh;
    letter-spacing: 0.3vw;
}

.recruitment_content h2 {
    font-size: 1.5rem;
    color: #000000;
    margin-bottom: 3vh;
}

.recruitment_content p {
	color: #000000;
    font-size: 1.3rem;
    font-weight: 400;
    font-style: italic;
    letter-spacing: 0.15vw;
    line-height: 1.93;
    max-width: 70vw;
    margin: 1.5vh 0 5.5vw;
}

/*Contact Section*/
.contact_section {
    display: flex;
    justify-content: space-around;
    align-items: center;
    text-align: center;
	height: 90vh;
}

.contact_content {
	justify-content: center;
	align-items: center;
	display: flex;
    text-align: left;
	font-family: 'Montserrat', sans-serif;
}

.contact_company {
	letter-spacing: 2px;
    width: 25vw;
    height: 90vh;
    padding-left: 5vw;
}

.contact_company h3 {
    font-size: 1.3rem;
	color: #17B8D3;
	padding: 10vh 0 0 0;
}

.contact_company a {
    font-size: 1.3rem;
	color: #ffffff;
}

.contact_company a:hover {
	color: #FF6F61;
}

/*----About Section----*/
.about_section {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
	height: auto;
	background-color: #dfd6c0;
    background-image: linear-gradient(136deg, #dfd6c0, #97988d 67%, #213439);
}

.about_content {
    text-align: left;
	font-family: 'Montserrat', sans-serif;
    width: 80vw;
    padding: 10vh;
}

.about_content h1 {
    color: #FF6F61;
    font-size: 1.7rem;
    font-weight: 700;
    margin: 3vh 1vw 2vh 0;
    letter-spacing: 0.3vw;
}

.about_content h2 {
    font-size: 1.5rem;
    color: #1A1A1D;
    margin: 3vh 1vw 1vh 0;
    letter-spacing: 0.1vw;
}

.about_content h4 {
    font-size: 1.2rem;
    color: #1A1A1D;
    margin: 3vh 1vw 1vh 0;
    letter-spacing: 0.1vw;
}

.about_content p {
    font-size: 1.1rem;
	color: #1A1A1D;
    font-weight: 400;
    letter-spacing: 0.1vw;
    margin: 0 1vw 2vh 1vw;
}

.about_content p.paracont {
    font-size: 1.1rem;
	color: #1A1A1D;
    font-weight: 400;
    letter-spacing: 0.1vw;
    margin: 0 1vw 2vh 0;
}

.about_content a {
	color: #ffffff;
}

.about_content a:hover {
	color: #FF6F61;
}

/*----Corporate Announcements Section----*/
.corporate_section {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
	height: auto;
}

.corporate_content {
    text-align: center;
	font-family: 'Montserrat', sans-serif;
    width: 80vw;
    padding: 10vh;
}

.corporate_content h1 {
    color: #1A1A1D;
    font-size: 1.7rem;
    font-weight: 700;
    margin: 3vh 1vw 2vh 0;
    letter-spacing: 0.3vw;
}

.corporate_content h2 {
    font-size: 1.5rem;
    color: #1A1A1D;
    margin: 3vh 1vw 1vh 0;
    letter-spacing: 0.1vw;
}

.corporate_content h3 {
    margin: 0;
    font-size: 1.5em;
    color: #FF6F61;
}

.corporate_content p {
    font-size: 1.1rem;
	color: #1A1A1D;
    font-weight: 400;
    letter-spacing: 0.1vw;
    margin: 10px 0;
}

.corporate_content a {
    text-decoration: none;
    color: #A4E57E;
    font-weight: bold;
    border: 1px solid #3E4C8F;
    padding: 0.5vh 1vw;
    border-radius: 0.5vh;
    transition: background-color 0.3s, color 0.3s;
}

.corporate_content a:hover {
    background-color: #3E4C8F;
    color: #17B8D3;
}

.timeline {
    position: relative;
    padding: 2vh 0;
    margin: 2vh 0;
}

.timeline::before {
    content: '';
    position: absolute;
    width: 0.4vw;
    background-color: #3E4C8F;
    top: 0;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

.timeline-item {
    position: relative;
    margin: 4vh 0;
    padding-left: 50%;
}

.timeline-content {
    background-color: #F4F5F7;
    border: 0.1vh solid #3E4C8F;
    padding: 2vh 2vw;
    border-radius: 0.8vh;
    position: relative;
    width: 25vw;
    text-align: center;
    box-shadow: 0 0.4vh 0.8vw rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.timeline-item:nth-child(odd) .timeline-content {
    left: -68%;
}

.timeline-item:nth-child(even) .timeline-content {
    left: -5%;
}

.timeline-content:hover {
    transform: scale(1.05);
}


/*----Knowledge Section----*/
.knowledge_section {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
	height: auto;
	background-color: #dfd6c0;
}

.knowledge_content {
    text-align: left;
	font-family: 'Montserrat', sans-serif;
    width: 80vw;
    padding: 15vh 10vw 5vh 10vw;
}

.knowledge_content h1 {
    color: #FF6F61;
    font-size: 1.7rem;
    font-weight: 700;
    margin: 3vh 1vw 2vh 0;
    letter-spacing: 0.1vw;
}

.knowledge_content h2 {
    font-size: 1.5rem;
    color: #1A1A1D;
    margin: 3vh 1vw 1vh 0;
    letter-spacing: 0.1vw;
}

.knowledge_content h3 {
    color: #FF6F61;
    font-size: 1.5rem;
    font-weight: 700;
    margin: 3vh 1vw 2vh 0;
    letter-spacing: 0.3vw;
}

.knowledge_content h4 {
    font-size: 1.1rem;
    color: #1A1A1D;
    margin: 3vh 1vw 1vh 0;
    letter-spacing: 0.1vw;
    font-style: italic;
}

.knowledge_content p {
    font-size: 1.1rem;
	color: #1A1A1D;
    font-weight: 400;
    letter-spacing: 0.1vw;
    margin: 0 1vw 2vh 1vw;
}

.knowledge_content p.paracont {
    font-size: 1.1rem;
	color: #1A1A1D;
    font-weight: 400;
    letter-spacing: 0.1vw;
    margin: 0 1vw 2vh 0;
}

.knowledge_content ul li {
    font-size: 1.1rem;
    color: #1A1A1D;
    font-weight: 400;
    letter-spacing: 0.1vw;
    margin: 0 1vw 2vh 0;
}

.knowledge_content table {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
  border: 1px solid #ddd;
}

.knowledge_content th, td {
	text-align: left;
	padding: 8px;
    font-size: 1.1rem;
    color: #1A1A1D;
    font-weight: 400;
    letter-spacing: 0.1vw;
    margin: 0 1vw 2vh 0;
}

.knowledge_content th {
	background-color: #dfd6c0;
}

.knowledge_content tr:nth-child(even){background-color: #f2f2f2}

.knowledge_content a {
	color: #3283a8;
}

.knowledge_content a:hover {
	color: #FF6F61;
}

.blog-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2vw;
    padding: 0 1vw 5vh 1vw;
}

.blog-card {
    background-color: #dfd6c0;
    padding: 1vh 1vw;
    border-radius: 1vh;
    width: 80vw;
    transition: 0.3s;
    box-shadow: 0 0 1vh #97988d ;
}

.blog-card img {
    width: 100%;
    border-radius: 1vh;
}

.blog-card h2 {
    margin-top: 1vh;
	font-size: 1.7rem;
}

.blog-card h3 {
    margin-top: 0.5vh;
	font-size: 1rem;
	font-style: italic;
}

.read-more {
    color: #3283a8;
    text-decoration: none;
    font-weight: bold;
    transition: 0.3s;
}

.read-more:hover {
    color: #17B8D3;
}

/*Sections */
#software {
    background-color: #17B8D3;
    color: #1A1A1D;
}

#website {
    background-color: #3283a8;
}

#app {
    background-color: #F4F5F7;
}

#marketing {
    background-color: #68b995;
    color: #F4F5F7;
}

#recruitment {
    background-color: #F4F5F7;
    color: #17B8D3;
}

#contact {
    background-color: #3E4C8F;
    color: #17B8D3;
}

#about {
    background-color: #dfd6c0;
    background-image: linear-gradient(136deg, #dfd6c0, #97988d 67%, #213439);
    color: #1A1A1D;
}

#corporate {
    background-color: #dfd6c0;
    background-image: linear-gradient(136deg, #dfd6c0, #97988d 67%, #213439);
    color: #1A1A1D;
}

#knowledge {
    background-color: #ffffff;
    /*background-image: linear-gradient(136deg, #dfd6c0, #97988d 67%, #213439);*/
    color: #1A1A1D;
}

#blogs {
    background-color: #ffffff;
    /*background-image: linear-gradient(136deg, #dfd6c0, #97988d 67%, #213439);*/
    color: #1A1A1D;
}

/* Footer */
.footer {
    background-color: #1A1A1D;
    color: #F4F5F7;
    text-align: center;
    padding: 0.1vh 0.1vw;
	height: 8vh;
    align-content: center;
}

.footer a {
    background-color: #1A1A1D;
    color: #FFFFFF;
    text-align: center;
    padding: 0.1vh 0.1vw;
}

.footer a:hover {
    color: #A4E57E;
}

/* Back to Top Button Styles */
#topButton {
    display: none; /* Hidden by default */
    position: fixed;
    bottom: 3vh;
    right: 3vw;
    z-index: 99;
    background-color: transparent;
    color: white;
    border: none;
    border-radius: 50%;
    padding: 0;
    cursor: pointer;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

#topButton:hover {
    background-color: transparent;
    transform: scale(1.1); /* Slight zoom effect on hover */	
    padding: 0;
	margin: 0;
}

#topButton img {
    width: auto;
    height: 10vh;
}
